#include <iostream>
#include <cmath>
using namespace std;
struct polje{
    int r;
    int c;
};
int main()
{
    int n, p=0;
    cin>>n;
    polje a[n], pom;
    for(int i=0; i<n; i++)
        cin>>a[i].r>>a[i].c;
    for(int i=0; i<n-1; i++){
        for(int j=i+1; j<n; j++){
            if(a[i].r>a[j].r){
                pom=a[i];
                a[i]=a[j];
                a[j]=pom;
            }
        }
    }
    for(int i=0; i<n; i++){
        p+=abs(a[i].r-(i+1));
    }
    for(int i=0; i<n-1; i++){
        for(int j=i+1; j<n; j++){
            if(a[i].c>a[j].c){
                pom=a[i];
                a[i]=a[j];
                a[j]=pom;
            }
        }
    }
    for(int i=0; i<n; i++){
        p+=abs(a[i].c-(i+1));
    }
    cout<<p<<"\n";
    return 0;
}